Validate Sddc Manager Update Spec
Validates the update configuration for SDDC Manager. Note: Only one configuration update operation is permitted at a time.
{
"ipv6NetworkSpec": {
"gateway": "2005:db7:0::24",
"subnet": "2005:db7::/32"
}
}
Specification for updating ipv6 network details
Ok
{
"id": "string",
"description": "string",
"executionStatus": "COMPLETED",
"resultStatus": "SUCCEEDED",
"validationChecks": [
{
"description": "string",
"severity": "One among: WARNING, ERROR, INFO",
"resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
"acknowledge": false,
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
{
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
}
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"nestedValidationChecks": [
{
"description": "string",
"severity": "One among: WARNING, ERROR, INFO",
"resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
"acknowledge": false,
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"nestedValidationChecks": [
"ValidationCheck Object"
]
}
]
}
],
"additionalProperties": {
"additionalProperties": "string"
}
}
ID of the validation
Description of the validation
Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS
Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS
List of one or more validation checks that are performed as part of the validation
additionalProperties
Accepted
{
"id": "string",
"description": "string",
"executionStatus": "COMPLETED",
"resultStatus": "SUCCEEDED",
"validationChecks": [
{
"description": "string",
"severity": "One among: WARNING, ERROR, INFO",
"resultStatus": "One among: IN_PROGRESS, SUCCEEDED, FAILED, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS, PENDING",
"acknowledge": false,
"errorResponse": {
"errorCode": "string",
"errorType": "string",
"arguments": [
"string"
],
"context": {
"context": "string"
},
"notifications": [
{
"severity": "string",
"message": "string",
"remediations": [
{
"message": "string",
"link": "string"
}
],
"impactMessage": "string"
}
],
"message": "string",
"remediationMessage": "string",
"causes": [
{
"type": "string",
"message": "string"
}
],
"nestedErrors": [
"Error Object"
],
"referenceToken": "string",
"label": "string",
"remediationUrl": "string"
},
"nestedValidationChecks": [
"ValidationCheck Object"
]
}
],
"additionalProperties": {
"additionalProperties": "string"
}
}
ID of the validation
Description of the validation
Execution status of the validation. One among: IN_PROGRESS, FAILED, COMPLETED, UNKNOWN, SKIPPED, CANCELLED, CANCELLATION_IN_PROGRESS
Result status of the validation after it has completed its execution. One among: SUCCEEDED, FAILED, WARNING, UNKNOWN, CANCELLATION_IN_PROGRESS
List of one or more validation checks that are performed as part of the validation
additionalProperties
Bad user input
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
Internal server error
"Error Object"
The minor error code
The error type
The arguments used to localize the message, Can be used by scripts to automate the error processing.
The error context (e.g. the component where it occurred).
Detailed results of the precheck validation.
The localized error message
The localized remediation error message
The underlying cause exceptions.
A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.
The localized label message
The URL string for remediation documentation link
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/v1/sddc-manager/validations